from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="veox",
    version="0.1.2",
    author="Jepson Taylor",
    author_email="jep@google.me",
    description="A client for the remote machine learning service with sklearn-like API",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/veox-client",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
    python_requires=">=3.7",
    install_requires=[
        "requests>=2.25.1",
        "python-socketio>=5.3.0",
        "numpy>=1.19.5",
        "joblib>=1.0.1",
    ],
)
